import click
from os import getenv


@click.command()
@click.argument('name', default='msedge')
@click.argument('file', default=fr"{getenv('USERPROFILE')}\bridgecli.cfg", type=click.File('w'))
# @click.option('-', default=1, help='Write your preferred web browser.')
def browser(name, file):
    line = f'BROWSER={str(name).lower()}'
    file.write(line)
    click.echo(f'{name} foi configurado como seu navegador para bridge-cli.')