import click
import subprocess
from .check import check_browser



# help="Abre o seu navegador na pagina, Itens do kit onboarding no TopDesk."
@click.command(help='Itens do kit onboarding.')
@check_browser
def kit(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=cd95e068858b4c9e98c74f062874bf9d'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='Agendar, remarcar, cancelar, consultar seu período de férias.')
@check_browser
def ferias(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=0e004beb15f7455bae09833367f81390'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='Reinicialização de senha.')
@check_browser
def senha(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=d86fc15970eb42e2b4122d84c08810b1'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='Equipamento de TI não está funcionando.')
@check_browser
def pc(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=3b91dc67d3524d9f84c455963f936e1a&from=70291db6-49f1-4200-b723-8817bf6d574f'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='Solicitação de reembolso.')
@check_browser
def reembolso(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=68f9ec59aa08440a85e8cd55a761f561&from=61deae26-f3da-4f80-8f28-ce945f786fea'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='problemas com pagamento de salário.')
@check_browser
def pg(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=58cd88e18c0e4326a252c171119aec06'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='Problemas com vale refeição.')
@check_browser
def vr(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=30f76999333f4048b7bebca6796ee770'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

@click.command(help='Problemas com vale transporte.')
@check_browser
def vt(browser):
    url = 'https://excelenciabridge.topdesk.net/tas/public/ssp/content/detail/service?unid=7bafa7f013d1469b80ce4b4759c20572'
    cl = ['start', browser, url]
    return subprocess.Popen(cl, shell=True, stderr=subprocess.PIPE)

