from setuptools import setup


setup(
    name = 'bdg',
    version = '0.0.0.8',
    author = 'Guilherme Silva dos Santos',
    author_email = 'guilherme.santos@bridgeconsulting.com.br',
    packages = ['bdg'],
    description = 'Permite acessar de forma mais rápida informações e páginas da BridgeCo.',
    long_description = 'Desenvolvido para automatizar o acesso das informações do ambiente Bridge Consulting.',
    license = 'MIT',
    keywords = 'Bridge Cli bridge-cli',
    install_requires=['click', 'colorama'],
    entry_points = {
        'console_scripts': ['bdg = bdg:cli']
    }
)